com.genesyslab.wfm8.API.service.builder800

## Class QueueInfoHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.builder800.QueueInfoHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class QueueInfoHolder
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `buildPendingCount` The number of schedule build requests waiting in the queue plus the number of scenarios currently being built.
    `protected RequestInfoHolder` | `currentRequestInfo` The current scheduling request state
    `protected int` | `finishedCount`
    `private static long` | `serialVersionUID`
    `protected int` | `writePendingCount` The number of built schedules that are currently being sent to WFM Server

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueInfoHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getBuildPendingCount()` Gets the value of the buildPendingCount property.
    `RequestInfoHolder` | `getCurrentRequestInfo()` Gets the value of the currentRequestInfo property.
    `int` | `getFinishedCount()` Gets the value of the finishedCount property.
    `int` | `getWritePendingCount()` Gets the value of the writePendingCount property.
    `int` | `hashCode()`
    `void` | `setBuildPendingCount(int buildPendingCount)` Sets the value of the buildPendingCount property.
    `void` | `setCurrentRequestInfo(RequestInfoHolder currentRequestInfo)` Sets the value of the currentRequestInfo property.
    `void` | `setFinishedCount(int finishedCount)` Sets the value of the finishedCount property.
    `void` | `setWritePendingCount(int writePendingCount)` Sets the value of the writePendingCount property.
    `java.lang.String` | `toString()`
    `QueueInfoHolder` | `withBuildPendingCount(int value)`
    `QueueInfoHolder` | `withCurrentRequestInfo(RequestInfoHolder value)`
    `QueueInfoHolder` | `withFinishedCount(int value)`
    `QueueInfoHolder` | `withWritePendingCount(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### buildPendingCount

          protected int buildPendingCount

      The number of schedule build requests waiting in the queue plus the number of scenarios currently being built.

    - #### writePendingCount

          protected int writePendingCount

      The number of built schedules that are currently being sent to WFM Server

    - #### finishedCount

          protected int finishedCount

    - #### currentRequestInfo

          protected RequestInfoHolder currentRequestInfo

      The current scheduling request state

  - ### Constructor Detail

    - #### QueueInfoHolder

          public QueueInfoHolder()

  - ### Method Detail

    - #### getBuildPendingCount

          public int getBuildPendingCount()

      Gets the value of the buildPendingCount property.

    - #### setBuildPendingCount

          public void setBuildPendingCount(int buildPendingCount)

      Sets the value of the buildPendingCount property.

    - #### withBuildPendingCount

          public QueueInfoHolder withBuildPendingCount(int value)

    - #### getWritePendingCount

          public int getWritePendingCount()

      Gets the value of the writePendingCount property.

    - #### setWritePendingCount

          public void setWritePendingCount(int writePendingCount)

      Sets the value of the writePendingCount property.

    - #### withWritePendingCount

          public QueueInfoHolder withWritePendingCount(int value)

    - #### getFinishedCount

          public int getFinishedCount()

      Gets the value of the finishedCount property.

    - #### setFinishedCount

          public void setFinishedCount(int finishedCount)

      Sets the value of the finishedCount property.

    - #### withFinishedCount

          public QueueInfoHolder withFinishedCount(int value)

    - #### getCurrentRequestInfo

          public RequestInfoHolder getCurrentRequestInfo()

      Gets the value of the currentRequestInfo property.

    - #### setCurrentRequestInfo

          public void setCurrentRequestInfo(RequestInfoHolder currentRequestInfo)

      Sets the value of the currentRequestInfo property.

    - #### withCurrentRequestInfo

          public QueueInfoHolder withCurrentRequestInfo(RequestInfoHolder value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.